Skip to main content
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
aliases
List aliases
curl --request GET \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/aliases \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
{
  "api_version": "v1",
  "data": {
    "alias": [
      {
        "id": "5",
        "token": "als_3b5bbe1d-350e-4a33-9b0d-63386f87a328",
        "merchant_id": "mer_553dad9b-3984-4131-8842-84983e922351",
        "alias_type": "TILL_CODE",
        "alias_value": "541661038",
        "status": "Active",
        "start_date": "2026-01-06",
        "expiration_date": "2036-01-06",
        "opening_date": "2026-01-06",
        "closing_date": "2036-01-06",
        "created_at": "2026-01-06T09:27:14Z",
        "updated_at": "2026-01-06T09:27:14Z",
        "alias_record_id": "464449"
      }
    ],
    "count": "4"
  }
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

Query Parameters

limit
integer
offset
integer
alias_type
enum<string>
Available options:
TILL_CODE
status
enum<string>

Filter aliases by status.

Available options:
Active,
Suspended
merchant_identifier
string
start_date
string<date>
expiration_date
string<date>

Response

This response contains a paginated list of aliases

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Contains the response data